[PATCH 01/17] test: Fix message when skipping test_expect_equal* tests
Austin Clements
amdragon at MIT.EDU
Sat Jun 11 13:49:27 PDT 2011
For these types of tests, the test name is previously recorded in a
variable, not passed to the test function, so pass this variable to
test_skip.
---
test/test-lib.sh | 6 +++---
1 files changed, 3 insertions(+), 3 deletions(-)
diff --git a/test/test-lib.sh b/test/test-lib.sh
index a59d1c1..d0e2794 100755
--- a/test/test-lib.sh
+++ b/test/test-lib.sh
@@ -448,7 +448,7 @@ test_expect_equal ()
output="$1"
expected="$2"
- if ! test_skip "$@"
+ if ! test_skip "$test_subtest_name"
then
if [ "$output" = "$expected" ]; then
test_ok_ "$test_subtest_name"
@@ -471,7 +471,7 @@ test_expect_equal_file ()
output="$1"
expected="$2"
- if ! test_skip "$@"
+ if ! test_skip "$test_subtest_name"
then
if diff -q "$expected" "$output" >/dev/null ; then
test_ok_ "$test_subtest_name"
@@ -494,7 +494,7 @@ test_expect_equal_failure ()
output="$1"
expected="$2"
- if ! test_skip "$@"
+ if ! test_skip "$test_subtest_name"
then
if [ "$output" = "$expected" ]; then
test_known_broken_ok_ "$test_subtest_name"
--
1.7.5.1
More information about the notmuch
mailing list